﻿--
--@MultiScriptForMTZ1025byLSSA
--@Northern_Strike(RUS) [LSSA Modding Team]
--@13.05.12
--@http://lssa.ru/
--


MultiScriptForMTZ1025byLSSA = {};

function MultiScriptForMTZ1025byLSSA.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function MultiScriptForMTZ1025byLSSA:load(xmlFile)

self.prot1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.protivoves#prot1"));

self.protActiv = true;
self.sergaActiv = false;

self.serga1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.SergaAndNaveska#serga1"));
self.nav1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.SergaAndNaveska#nav1"));

local rotationPartNodeGas = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Gas#index"));

    if rotationPartNodeGas ~= nil then
        self.rotationPartGas = {};
        self.rotationPartGas.node = rotationPartNodeGas;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.Gas#minRot"));
        self.rotationPartGas.minRot = {};
        self.rotationPartGas.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartGas.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartGas.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.Gas#maxRot"));
        self.rotationPartGas.maxRot = {};
        self.rotationPartGas.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartGas.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartGas.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.rotationPartGas.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.Gas#rotTime"), 2)*1000;
        self.rotationPartGas.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.Gas#touchRotLimit"), 10));
    end;

local rotationPartNodeTormoz = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Tormoz#index"));

    if rotationPartNodeTormoz ~= nil then
        self.rotationPartTormoz = {};
        self.rotationPartTormoz.node = rotationPartNodeTormoz;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.Tormoz#minRot"));
        self.rotationPartTormoz.minRot = {};
        self.rotationPartTormoz.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartTormoz.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartTormoz.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.Tormoz#maxRot"));
        self.rotationPartTormoz.maxRot = {};
        self.rotationPartTormoz.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartTormoz.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartTormoz.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.rotationPartTormoz.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.Tormoz#rotTime"), 2)*1000;
        self.rotationPartTormoz.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.Tormoz#touchRotLimit"), 10));
    end;

self.ruchnikSvet = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.ruchnik#svet"));

local rotationPartNodevomlper = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.vomlper#index"));

    if rotationPartNodevomlper ~= nil then
        self.rotationPartvomlper = {};
        self.rotationPartvomlper.node = rotationPartNodevomlper;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.vomlper#minRot"));
        self.rotationPartvomlper.minRot = {};
        self.rotationPartvomlper.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartvomlper.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartvomlper.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.vomlper#maxRot"));
        self.rotationPartvomlper.maxRot = {};
        self.rotationPartvomlper.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartvomlper.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartvomlper.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.rotationPartvomlper.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.vomlper#rotTime"), 2)*1000;
        self.rotationPartvomlper.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.vomlper#touchRotLimit"), 10));
    end;


self.DalnyiSvetActiv = false;

self.DalnyiSvetLight = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.DalnyiSvetlper#svet"));
self.DalnyiSvetlper = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.DalnyiSvetlper#index"));

self.polozhenye = 0;

local ruchagNode = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.ruchag#index"));
    if ruchagNode ~= nil then
        self.ruchag = {};
        self.ruchag.node = ruchagNode;
        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.ruchag#minRot"));
        self.ruchag.minRot = {};
        self.ruchag.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.ruchag.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.ruchag.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));
        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.ruchag#maxRot"));
        self.ruchag.maxRot = {};
        self.ruchag.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.ruchag.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.ruchag.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));
		x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.ruchag#nullRot"));
        self.ruchag.nullRot = {};
        self.ruchag.nullRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.ruchag.nullRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.ruchag.nullRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));
        self.ruchag.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.ruchag#rotTime"), 2)*1000;
        self.ruchag.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.ruchag#touchRotLimit"), 10));
    end;

self.armNav = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.armNav#index"));

 local rotationPartNodeTanknadel = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.benzin#index"));
    if rotationPartNodeTanknadel ~= nil then
        self.benzin = {};
        self.benzin.node = rotationPartNodeTanknadel;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.benzin#minRot"));
        self.benzin.minRot = {};
        self.benzin.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.benzin.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.benzin.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.benzin#maxRot"));
        self.benzin.maxRot = {};
        self.benzin.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.benzin.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.benzin.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.benzin.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.benzin#rotTime"), 2)*1000;
        self.benzin.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.benzin#touchRotLimit"), 10));
    end;

    local rotationPartNodeDrehzahl1 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.tahometr1#index"));
    if rotationPartNodeDrehzahl1 ~= nil then
        self.tahometr1 = {};
        self.tahometr1.node = rotationPartNodeDrehzahl1;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.tahometr1#minRot"));
        self.tahometr1.minRot = {};
        self.tahometr1.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.tahometr1.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.tahometr1.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.tahometr1#maxRot"));
        self.tahometr1.maxRot = {};
        self.tahometr1.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.tahometr1.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.tahometr1.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.tahometr1.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.tahometr1#rotTime"), 2)*1000;
        self.tahometr1.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.tahometr1#touchRotLimit"), 10));
    end;

self.WorkingLight = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.WorkingLight#index"));

local rotationPartNodekardanper = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.kardanper#index"));

    if rotationPartNodekardanper ~= nil then
        self.rotationPartkardanper = {};
        self.rotationPartkardanper.node = rotationPartNodekardanper;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.kardanper#minRot"));
        self.rotationPartkardanper.minRot = {};
        self.rotationPartkardanper.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartkardanper.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartkardanper.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.kardanper#maxRot"));
        self.rotationPartkardanper.maxRot = {};
        self.rotationPartkardanper.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartkardanper.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartkardanper.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.rotationPartkardanper.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.kardanper#rotTime"), 2)*1000;
        self.rotationPartkardanper.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.kardanper#touchRotLimit"), 10));
    end;

self.kardanActiv = false;

	self.kardan1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.kadranu.kardan1#index"));
	self.kardan2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.kadranu.kardan2#index"));
	self.kardan3 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.kadranu.kardan3#index"));

self.vklplafon = false;
self.plafon = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.plafon#svet"));
self.trActForUsing = true;

local rotationPartNodedvornper = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.dvornper#index"));

    if rotationPartNodedvornper ~= nil then
        self.rotationPartdvornper = {};
        self.rotationPartdvornper.node = rotationPartNodedvornper;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.dvornper#minRot"));
        self.rotationPartdvornper.minRot = {};
        self.rotationPartdvornper.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartdvornper.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartdvornper.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.dvornper#maxRot"));
        self.rotationPartdvornper.maxRot = {};
        self.rotationPartdvornper.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartdvornper.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartdvornper.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.rotationPartdvornper.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.dvornper#rotTime"), 2)*1000;
        self.rotationPartdvornper.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.dvornper#touchRotLimit"), 10));
    end;

	self.vklDvornyk = false;
local dvornykAnimRootNode = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.dvornyk#rootNode"));
    self.dvornykAnimCharSet = 0;
    if dvornykAnimRootNode ~= nil and dvornykAnimRootNode ~= 0 then
        self.dvornykAnimCharSet = getAnimCharacterSet(dvornykAnimRootNode);
        if self.dvornykAnimCharSet ~= 0 then
            local clip = getAnimClipIndex(self.dvornykAnimCharSet, getXMLString(xmlFile, "vehicle.dvornyk#clip"));
            assignAnimTrackClip(self.dvornykAnimCharSet, 0, clip);
            setAnimTrackLoopState(self.dvornykAnimCharSet, 0, true);
            local dvornykAnimSpeedScale = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.dvornyk#speedScale"), 1);
			setAnimTrackSpeedScale(self.dvornykAnimCharSet, 0, dvornykAnimSpeedScale);
            self.dvornykAnimDuration = getAnimClipDuration(self.dvornykAnimCharSet, clip);
        end;
    end;
	self.isdvornykActive = false;
	self.finishdvornyk = true;

self.povorotnyk = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.povorotnyk#index"));
self.avaryika = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.avaryika#index"));

self.autopoezdlight = false;
self.backlight = false;
self.frontlight = false;


local rotationPartNodefrontlper = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.frontlper#index"));

    if rotationPartNodefrontlper ~= nil then
        self.rotationPartfrontlper = {};
        self.rotationPartfrontlper.node = rotationPartNodefrontlper;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.frontlper#minRot"));
        self.rotationPartfrontlper.minRot = {};
        self.rotationPartfrontlper.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartfrontlper.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartfrontlper.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.frontlper#maxRot"));
        self.rotationPartfrontlper.maxRot = {};
        self.rotationPartfrontlper.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartfrontlper.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartfrontlper.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.rotationPartfrontlper.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.frontlper#rotTime"), 2)*1000;
        self.rotationPartfrontlper.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.frontlper#touchRotLimit"), 10));
    end;

local rotationPartNodebacklper = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.backlper#index"));

    if rotationPartNodebacklper ~= nil then
        self.rotationPartbacklper = {};
        self.rotationPartbacklper.node = rotationPartNodebacklper;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.backlper#minRot"));
        self.rotationPartbacklper.minRot = {};
        self.rotationPartbacklper.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartbacklper.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartbacklper.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.backlper#maxRot"));
        self.rotationPartbacklper.maxRot = {};
        self.rotationPartbacklper.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartbacklper.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartbacklper.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.rotationPartbacklper.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.backlper#rotTime"), 2)*1000;
        self.rotationPartbacklper.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.backlper#touchRotLimit"), 10));
    end;

	self.autopoezdlper_svets = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.autopoezdlper#svet"));
	self.FrontTopLight = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.frontlper#svet"));
	self.BackTopLight = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.backlper#svet"));
	
local rotationPartNodeautopoezdlper = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.autopoezdlper#index"));

    if rotationPartNodeautopoezdlper ~= nil then
        self.rotationPartautopoezdlper = {};
        self.rotationPartautopoezdlper.node = rotationPartNodeautopoezdlper;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.autopoezdlper#minRot"));
        self.rotationPartautopoezdlper.minRot = {};
        self.rotationPartautopoezdlper.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartautopoezdlper.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartautopoezdlper.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.autopoezdlper#maxRot"));
        self.rotationPartautopoezdlper.maxRot = {};
        self.rotationPartautopoezdlper.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartautopoezdlper.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartautopoezdlper.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.rotationPartautopoezdlper.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.autopoezdlper#rotTime"), 2)*1000;
        self.rotationPartautopoezdlper.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.autopoezdlper#touchRotLimit"), 10));
    end;

local rotationPartNoderuchnik = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.ruchnik#index"));
    if rotationPartNoderuchnik ~= nil then
        self.rotationPartruchnik = {};
        self.rotationPartruchnik.node = rotationPartNoderuchnik;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.rotationPartruchnik#minRot"));
        self.rotationPartruchnik.minRot = {};
        self.rotationPartruchnik.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartruchnik.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartruchnik.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.ruchnik#maxRot"));
        self.rotationPartruchnik.maxRot = {};
        self.rotationPartruchnik.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartruchnik.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartruchnik.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.rotationPartruchnik.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.ruchnik#rotTime"), 2)*1000;
        self.rotationPartruchnik.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.ruchnik#touchRotLimit"), 10));
    end;


	handbrakeSoundFile = Utils.getFilename("Sounds/handbrake.wav", self.baseDirectory);
	self.handbrakeSoundId = createSample("handbrakeSound");
	loadSample(self.handbrakeSoundId, handbrakeSoundFile, false);	
	   self.trActForFrNav = true;
       self.ventelator1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.ventelator1#index"));

local rotationPartNodestrelka4 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.strelka4#index"));

    if rotationPartNodestrelka4 ~= nil then
        self.rotationPartstrelka4 = {};
        self.rotationPartstrelka4.node = rotationPartNodestrelka4;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.strelka4#minRot"));
        self.rotationPartstrelka4.minRot = {};
        self.rotationPartstrelka4.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartstrelka4.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartstrelka4.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.strelka4#maxRot"));
        self.rotationPartstrelka4.maxRot = {};
        self.rotationPartstrelka4.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartstrelka4.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartstrelka4.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.rotationPartstrelka4.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.strelka4#rotTime"), 2)*1000;
        self.rotationPartstrelka4.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.strelka4#touchRotLimit"), 10));
    end;

local rotationPartNodestrelka3 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.strelka3#index"));

    if rotationPartNodestrelka3 ~= nil then
        self.rotationPartstrelka3 = {};
        self.rotationPartstrelka3.node = rotationPartNodestrelka3;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.strelka3#minRot"));
        self.rotationPartstrelka3.minRot = {};
        self.rotationPartstrelka3.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartstrelka3.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartstrelka3.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.strelka3#maxRot"));
        self.rotationPartstrelka3.maxRot = {};
        self.rotationPartstrelka3.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartstrelka3.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartstrelka3.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.rotationPartstrelka3.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.strelka3#rotTime"), 2)*1000;
        self.rotationPartstrelka3.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.strelka3#touchRotLimit"), 10));
    end;


local rotationPartNodestrelka2 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.strelka2#index"));

    if rotationPartNodestrelka2 ~= nil then
        self.rotationPartstrelka2 = {};
        self.rotationPartstrelka2.node = rotationPartNodestrelka2;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.strelka2#minRot"));
        self.rotationPartstrelka2.minRot = {};
        self.rotationPartstrelka2.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartstrelka2.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartstrelka2.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.strelka2#maxRot"));
        self.rotationPartstrelka2.maxRot = {};
        self.rotationPartstrelka2.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartstrelka2.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartstrelka2.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.rotationPartstrelka2.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.strelka2#rotTime"), 2)*1000;
        self.rotationPartstrelka2.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.strelka2#touchRotLimit"), 10));
    end;


local rotationPartNodestrelka1 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.strelka1#index"));

    if rotationPartNodestrelka1 ~= nil then
        self.rotationPartstrelka1 = {};
        self.rotationPartstrelka1.node = rotationPartNodestrelka1;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.strelka1#minRot"));
        self.rotationPartstrelka1.minRot = {};
        self.rotationPartstrelka1.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartstrelka1.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartstrelka1.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.strelka1#maxRot"));
        self.rotationPartstrelka1.maxRot = {};
        self.rotationPartstrelka1.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartstrelka1.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartstrelka1.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.rotationPartstrelka1.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.strelka1#rotTime"), 2)*1000;
        self.rotationPartstrelka1.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.strelka1#touchRotLimit"), 10));
    end;

---key---
local rotationPartNodekluch = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.kluch#index"));

    if rotationPartNodekluch ~= nil then
        self.rotationPartkluch = {};
        self.rotationPartkluch.node = rotationPartNodekluch;

        local x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.kluch#minRot"));
        self.rotationPartkluch.minRot = {};
        self.rotationPartkluch.minRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartkluch.minRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartkluch.minRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        x, y, z = Utils.getVectorFromString(getXMLString(xmlFile, "vehicle.kluch#maxRot"));
        self.rotationPartkluch.maxRot = {};
        self.rotationPartkluch.maxRot[1] = Utils.degToRad(Utils.getNoNil(x, 0));
        self.rotationPartkluch.maxRot[2] = Utils.degToRad(Utils.getNoNil(y, 0));
        self.rotationPartkluch.maxRot[3] = Utils.degToRad(Utils.getNoNil(z, 0));

        self.rotationPartkluch.rotTime = Utils.getNoNil(getXMLString(xmlFile, "vehicle.kluch#rotTime"), 2)*1000;
        self.rotationPartkluch.touchRotLimit = Utils.degToRad(Utils.getNoNil(getXMLString(xmlFile, "vehicle.kluch#touchRotLimit"), 10));
    end

------


	
end;

function MultiScriptForMTZ1025byLSSA:keyEvent(unicode, sym, modifier, isDown)

	if isDown and sym == Input.KEY_lalt then
		self.handbrake = not self.handbrake
	end;

end;


function MultiScriptForMTZ1025byLSSA:update(dt)
if not self.sergaNOTActiv then
if self.inrange then
	if InputBinding.hasEvent(InputBinding.switchSerga) then
		self.sergaActiv = not self.sergaActiv;
	end;
end;

if self.inrange then
		if self.sergaActiv then
			g_currentMission:addHelpButtonText(g_i18n:getText("sergaAct_n1"), InputBinding.switchSerga);
		else
			g_currentMission:addHelpButtonText(g_i18n:getText("sergaAct_n2"), InputBinding.switchSerga);
		end;
end;
end;

if self.sergaActiv then
	setVisibility(self.serga1, true);
	setVisibility(self.nav1, false);
else
	setVisibility(self.serga1, false);
	setVisibility(self.nav1, true);
end;

if self.protActiv then
	setVisibility(self.prot1, true);
else
	setVisibility(self.prot1, false);
end;

if self.rotationPartGas ~= nil then
		local x, y, z = getRotation(self.rotationPartGas.node);
		local rot = {x,y,z};
		local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartGas.maxRot, self.rotationPartGas.minRot, 3, self.rotationPartGas.rotTime, dt, not self.rotationMaxGas);
		setRotation(self.rotationPartGas.node, unpack(newRot));
	end;

if self.rotationPartTormoz ~= nil then
		local x, y, z = getRotation(self.rotationPartTormoz.node);
		local rot = {x,y,z};
		local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartTormoz.maxRot, self.rotationPartTormoz.minRot, 3, self.rotationPartTormoz.rotTime, dt, not self.rotationMaxTormoz);
		setRotation(self.rotationPartTormoz.node, unpack(newRot));
	end;

	if self:getIsActive() then	

		inputAxisY = InputBinding.getAnalogInputAxis(InputBinding.AXIS_MOVE_FORWARD_VEHICLE);

        if InputBinding.isAxisZero(inputAxisY) then
        inputAxisY = InputBinding.getDigitalInputAxis(InputBinding.AXIS_MOVE_FORWARD_VEHICLE);
        end;
		
		if self.isEntered ~= nil then
			if (self.movingDirection*self.lastSpeed*(-inputAxisY)) < -0.001 then		
				self.rotationMaxTormoz = true;
			else
				self.rotationMaxTormoz = false;
			end;
		end;
	
		if self.rotationPartGas ~= nil and self.isMotorStarted == true then
			local x, y, z = getRotation(self.rotationPartGas.node);
			x = (-1*(self.rotationPartGas.minRot[1] - self.rotationPartGas.maxRot[1]) / 1200) * (self.motor.lastMotorRpm/1.5) + self.rotationPartGas.minRot[1];
			setRotation(self.rotationPartGas.node, x, y ,z);
		elseif self.isMotorStarted == false then
			setRotation(self.rotationPartGas.node, 0, 0 ,0);
		end;
	
	end;
	
	if self.rotationPartvomlper ~= nil then
		local x, y, z = getRotation(self.rotationPartvomlper.node);
		local rot = {x,y,z};
		local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartvomlper.maxRot, self.rotationPartvomlper.minRot, 3, self.rotationPartvomlper.rotTime, dt, not self.rotationMaxvomlper);
		setRotation(self.rotationPartvomlper.node, unpack(newRot));
	end;

	if self.currentLight == 2 then
	
		if self.DalnyiSvetActiv then
		setRotation(self.DalnyiSvetlper, math.rad(-35) ,math.rad(-12) , math.rad(-12));
		setVisibility(self.DalnyiSvetLight, true);
		else
		setRotation(self.DalnyiSvetlper, math.rad(-35) ,0 ,0 );
		setVisibility(self.DalnyiSvetLight, false);
		end;
		
	else
		
		setRotation(self.DalnyiSvetlper, math.rad(-35) ,0 ,0 );
		setVisibility(self.DalnyiSvetLight, false);
		self.DalnyiSvetActiv = false;
		
	end;	

	if self.isMotorStarted then
		if self.benzin ~= nil then
			local x, y, z = getRotation(self.benzin.node);
			y = ((self.benzin.maxRot[2] - self.benzin.minRot[2]) / self.fuelCapacity) * self.fuelFillLevel + self.benzin.minRot[2];
			setRotation(self.benzin.node, x, y ,z);
		end;
	else
			setRotation(self.benzin.node, 0, 0 ,0);
	end;

	if self.isMotorStarted then
			local maxDrehzahl = 1200;
			if self.tahometr1 ~= nil then
				local x, y, z = getRotation(self.tahometr1.node);
				y = ((self.tahometr1.maxRot[2] - self.tahometr1.minRot[2]) / maxDrehzahl) * self.motor.lastMotorRpm + self.tahometr1.minRot[2];
				setRotation(self.tahometr1.node, x, y ,z);
			end;
	else
			setRotation(self.tahometr1.node, 0, 0 ,0);
	end;

if self.currentLight == 0 then
setRotation(self.WorkingLight,0 ,0 ,0);
end;
if self.currentLight == 1 then
setRotation(self.WorkingLight, math.rad(-10) ,0 ,0);
end;
if self.currentLight == 2 then
setRotation(self.WorkingLight, math.rad(-20) ,0 ,0);
end;

if self.rotationPartkardanper ~= nil then
		local x, y, z = getRotation(self.rotationPartkardanper.node);
		local rot = {x,y,z};
		local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartkardanper.maxRot, self.rotationPartkardanper.minRot, 3, self.rotationPartkardanper.rotTime, dt, not self.rotationMaxkardanper);
		setRotation(self.rotationPartkardanper.node, unpack(newRot));
	end;

if self.kardanActiv then
	if self.isMotorStarted then
	   self.PointRot = getRotation(self.wheels[3].driveNode);

       setRotation(self.kardan1,0 ,0 ,self.PointRot);
       setRotation(self.kardan2,0 ,0 ,self.PointRot);
       setRotation(self.kardan3,0 ,0 ,self.PointRot);
	end;
end;

if self.kardanActiv then
			self.wheels[1].driveMode = 2;
		 	self.wheels[2].driveMode = 2;	
			self.rotationMaxkardanper = true;
else
			self.wheels[1].driveMode = 0;
		 	self.wheels[2].driveMode = 0;
			self.rotationMaxkardanper = false;
end;

if self.vklplafon then
	setVisibility(self.plafon, true);
else
	setVisibility(self.plafon, false);
end;

if self.vklDvornyk then 
self.rotationMaxdvornper = true;
else
self.rotationMaxdvornper = false;
end;

	if self.rotationPartdvornper ~= nil then
		local x, y, z = getRotation(self.rotationPartdvornper.node);
		local rot = {x,y,z};
		local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartdvornper.maxRot, self.rotationPartdvornper.minRot, 3, self.rotationPartdvornper.rotTime, dt, not self.rotationMaxdvornper);
		setRotation(self.rotationPartdvornper.node, unpack(newRot));
	end;

if self.povorotnyk ~= nil then
		if not self.B3.wl then
			if self.B3.dirRight[1].a then
				setRotation(self.povorotnyk, 0, math.rad(-20), 0);
			elseif self.B3.dirLeft[1].a then
				setRotation(self.povorotnyk, 0, math.rad(20), 0);
			else
				setRotation(self.povorotnyk, 0, 0, 0);
			end;
		else
			setRotation(self.povorotnyk, 0, 0, 0);
		end;
	end;

if self.avaryika ~= nil then
			if self.B3.wl then
				setTranslation(self.avaryika, 0.23148, 2.00491, -0.25934);
			else
				setTranslation(self.avaryika, 0.23148, 2.0159, -0.26703);
			end;
end;	

if self.rotationPartautopoezdlper ~= nil then
		local x, y, z = getRotation(self.rotationPartautopoezdlper.node);
		local rot = {x,y,z};
		local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartautopoezdlper.maxRot, self.rotationPartautopoezdlper.minRot, 3, self.rotationPartautopoezdlper.rotTime, dt, not self.rotationMaxautopoezdlper);
		setRotation(self.rotationPartautopoezdlper.node, unpack(newRot));
	end;
	
	if self.rotationPartfrontlper ~= nil then
		local x, y, z = getRotation(self.rotationPartfrontlper.node);
		local rot = {x,y,z};
		local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartfrontlper.maxRot, self.rotationPartfrontlper.minRot, 3, self.rotationPartfrontlper.rotTime, dt, not self.rotationMaxfrontlper);
		setRotation(self.rotationPartfrontlper.node, unpack(newRot));
	end;

	if self.rotationPartbacklper ~= nil then
		local x, y, z = getRotation(self.rotationPartbacklper.node);
		local rot = {x,y,z};
		local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartbacklper.maxRot, self.rotationPartbacklper.minRot, 3, self.rotationPartbacklper.rotTime, dt, not self.rotationMaxbacklper);
		setRotation(self.rotationPartbacklper.node, unpack(newRot));
	end;

if self.rotationPartruchnik  ~= nil then
		local x, y, z = getRotation(self.rotationPartruchnik .node);
		local rot = {x,y,z};
		local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartruchnik.maxRot, self.rotationPartruchnik.minRot, 3, self.rotationPartruchnik.rotTime, dt, not self.rotationMaxruchnik);
		setRotation(self.rotationPartruchnik .node, unpack(newRot));
	end;

	if self.handbrake then
		self.motor.backwardGearRatio = 0;
		self.motor.forwardGearRatios = {0, 0, 0};
		self.motor.brakeForce = 100;	
		self.rotationMaxruchnik = true;
		setVisibility(self.ruchnikSvet, true);
	else
		self.motor.backwardGearRatio = 2.1;
		self.motor.forwardGearRatios = {2.5, 2.5, 2.5};
		self.motor.brakeForce = 40;	
		self.rotationMaxruchnik = false;
		setVisibility(self.ruchnikSvet, false);
	end;
	
if self.autopoezdlight then
	setVisibility(self.autopoezdlper_svets, true);
	self.rotationMaxautopoezdlper = true;
else
	setVisibility(self.autopoezdlper_svets, false);
	self.rotationMaxautopoezdlper = false;
end;

if self.backlight then
	setVisibility(self.BackTopLight, true);
	self.rotationMaxbacklper = true;
else
	setVisibility(self.BackTopLight, false);
	self.rotationMaxbacklper = false;
end;

if self.frontlight then
	setVisibility(self.FrontTopLight, true);
	self.rotationMaxfrontlper = true;
else
	setVisibility(self.FrontTopLight, false);
	self.rotationMaxfrontlper = false;
end;

	if self.isMotorStarted then
         		rotate(self.ventelator1, 0, 0, dt*0.01 );		
	end;

	if self.isEntered then
		if self.isMotorStarted then
			self.rotationMaxkluch = true;
			self.rotationMaxstrelka1 = true;
			self.rotationMaxstrelka2 = true;
			self.rotationMaxstrelka3 = true;
			self.rotationMaxstrelka4 = true;
		else
			self.rotationMaxkluch = false;
			self.rotationMaxstrelka1 = false;
			self.rotationMaxstrelka2 = false;
			self.rotationMaxstrelka3 = false;
			self.rotationMaxstrelka4 = false;
		end;
	end;

	if self.rotationPartkluch ~= nil then
		local x, y, z = getRotation(self.rotationPartkluch.node);
		local rot = {x,y,z};
		local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartkluch.maxRot, self.rotationPartkluch.minRot, 3, self.rotationPartkluch.rotTime, dt, not self.rotationMaxkluch);
		setRotation(self.rotationPartkluch.node, unpack(newRot));
	end;

	if self.rotationPartstrelka1 ~= nil then
		local x, y, z = getRotation(self.rotationPartstrelka1.node);
		local rot = {x,y,z};
		local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartstrelka1.maxRot, self.rotationPartstrelka1.minRot, 3, self.rotationPartstrelka1.rotTime, dt, not self.rotationMaxstrelka1);
		setRotation(self.rotationPartstrelka1.node, unpack(newRot));
	end;

	if self.rotationPartstrelka2 ~= nil then
		local x, y, z = getRotation(self.rotationPartstrelka2.node);
		local rot = {x,y,z};
		local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartstrelka2.maxRot, self.rotationPartstrelka2.minRot, 3, self.rotationPartstrelka2.rotTime, dt, not self.rotationMaxstrelka2);
		setRotation(self.rotationPartstrelka2.node, unpack(newRot));
	end;

	if self.rotationPartstrelka3 ~= nil then
		local x, y, z = getRotation(self.rotationPartstrelka3.node);
		local rot = {x,y,z};
		local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartstrelka3.maxRot, self.rotationPartstrelka3.minRot, 3, self.rotationPartstrelka3.rotTime, dt, not self.rotationMaxstrelka3);
		setRotation(self.rotationPartstrelka3.node, unpack(newRot));
	end;

	if self.rotationPartstrelka4 ~= nil then
		local x, y, z = getRotation(self.rotationPartstrelka4.node);
		local rot = {x,y,z};
		local newRot = Utils.getMovedLimitedValues(rot, self.rotationPartstrelka4.maxRot, self.rotationPartstrelka4.minRot, 3, self.rotationPartstrelka4.rotTime, dt, not self.rotationMaxstrelka4);
		setRotation(self.rotationPartstrelka4.node, unpack(newRot));
	end;

		if  self.ruchag ~= nil and not self.ruchagMax and not self.ruchagMin  then
			setRotation(self.ruchag.node, 0, 0, 0);
		end;
		
		local doRotate = self.ruchagMax or self.ruchagMin 
		if self.ruchag ~= nil and doRotate then
        	local x, y, z = getRotation(self.ruchag.node);
        	local rot = {x,y,z};
        	local newRot = Utils.getMovedLimitedValues(rot, self.ruchag.maxRot, self.ruchag.minRot, 3, self.ruchag.rotTime, dt, not self.ruchagMax);
        	setRotation(self.ruchag.node, unpack(newRot));
		end;

end;

function MultiScriptForMTZ1025byLSSA:updateTick(dt)

	if g_currentMission.player ~= nil then
		-- Getting the distance between the player and the implement 
		local nearestDistance = 4.0; --max distance allowed
		local px, py, pz = getWorldTranslation(self.rootNode); 
		local vx, vy, vz = getWorldTranslation(g_currentMission.player.rootNode);
		local distance = Utils.vector3Length(px-vx, py-vy, pz-vz);	
		if distance < nearestDistance then
			self.inrange = true; 
		else
			self.inrange = false; 
		end;
	end;

		if self.isMotorStarted then
			for k, implement in pairs(self.attachedImplements) do
				if implement.object ~= nil then
					if implement.object.isTurnedOn then
						self.rotationMaxvomlper = true;
					else
						self.rotationMaxvomlper = false;
					end;
				end;
			end;
		end;
		
		if not self.finishdvornyk then
			if getAnimTrackTime(self.dvornykAnimCharSet, 0) % self.dvornykAnimDuration <= 100 then
				setAnimTrackTime(self.dvornykAnimCharSet, 0, 0.0);
				disableAnimTrack(self.dvornykAnimCharSet, 0);			
				self.finishdvornyk = true;
			end;			
		end;
		
		if self.vklDvornyk then
			if not self.isdvornykActive then
				enableAnimTrack(self.dvornykAnimCharSet, 0);
				self.isdvornykActive = true;
			end;
		else
			if self.isdvornykActive then
				self.isdvornykActive = false;
				self.finishdvornyk = false;
			end;
		end;

end;

function MultiScriptForMTZ1025byLSSA:draw()
end;

function MultiScriptForMTZ1025byLSSA:onEnter()

end;

function MultiScriptForMTZ1025byLSSA:onLeave()
end;

function MultiScriptForMTZ1025byLSSA:delete()
end;

function MultiScriptForMTZ1025byLSSA:mouseEvent(posX, posY, isDown, isUp, button)
end;

function MultiScriptForMTZ1025byLSSA:attachImplement(implement)
	
	local jointType = implement.object.attacherJoint.jointType;
	local jointIndex = implement.jointDescIndex;

	if jointType == Vehicle.JOINTTYPE_IMPLEMENT then
		if jointIndex == 2 then
			self.protActiv = false;
		end;	
		if jointIndex == 1 then
			self.sergaActiv = false;
			self.sergaNOTActiv = true;
		end;	
	elseif jointType == Vehicle.JOINTTYPE_TRAILER then
		self.sergaActiv = true;
		self.sergaNOTActiv = true;
	elseif jointType == Vehicle.JOINTTYPE_TRAILERLOW then
		self.sergaActiv = true;
		self.sergaNOTActiv = true;
	end;
end;
  
function MultiScriptForMTZ1025byLSSA:detachImplement(implementIndex)

    local implement = self.attachedImplements[implementIndex];
	local jointIndex = implement.jointDescIndex;

	if implement.object.attacherJoint.jointType == Vehicle.JOINTTYPE_IMPLEMENT then
		if jointIndex == 2 then
			self.protActiv = true;
		end;	
		if jointIndex == 1 then
			self.sergaNOTActiv = false;
		end;	
	else
		self.sergaNOTActiv = false;
	end;
	  
end;

function MultiScriptForMTZ1025byLSSA:validateAttacherJoint(implement, jointDesc, dt)
    return true;
end;